Bug 650802 - [si] stick characters with cursor, while input with si-wijesekera.mim
[si] stick characters with cursor, while input with si-wijesekera.mim
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
14
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-08 00:06 EST by A S Alam
Modified: 2013-07-02 21:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: m17n-db-1.6.2-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-09 00:58:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2010-11-08 00:06:50 EST
Description of problem:
I am facing another problem, while using this
if I press d or e or like that character, then some time (randomly), it _stick_
to cursor and DEL and BKSP is not working to remove that, just press ALT+TAB
and back to same application (where you are working), then it automatically
went.

Version-Release number of selected component (if applicable):
m17n-db-1.6.1-3.fc14.noarch

How reproducible:
Everytime

Steps to Reproduce:
1. use si-wijesekera to input in Sinhala
2. type using 'd' or 'e' key
3. move curosr Up/Down 
4. press Del/Bksp
  
Actual results:
some characters stick with cursor

Expected results:
after input, cursor should be free.

Additional info:
Comment 1 Harshula Jayasuriya 2010-11-08 00:50:50 EST
Alam has already verified that:
http://cvs.m17n.org/viewcvs/m17n/m17n-db/MIM/si-wijesekera.mim?r1=1.9&r2=1.10
fixes the problem. The patched version is available in m17n-db 1.6.2.

I suspect ta-lk-renganathan.mim will also be affected by the same problem. It should be fixed by:
http://cvs.m17n.org/viewcvs/m17n/m17n-db/MIM/ta-lk-renganathan.mim?r1=1.2&r2=1.3
The patched version is NOT available in m17n-db 1.6.2, but is available in CVS.
Comment 2 Fedora Update System 2010-11-09 23:58:12 EST
m17n-db-1.6.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/m17n-db-1.6.2-1.fc14
Comment 3 Fedora Update System 2010-11-10 16:50:28 EST
m17n-db-1.6.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update m17n-db'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/m17n-db-1.6.2-1.fc14
Comment 4 Fedora Update System 2011-03-31 06:12:42 EDT
m17n-db-1.6.2-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/m17n-db-1.6.2-3.fc15
Comment 5 Fedora Update System 2011-04-05 17:44:28 EDT
m17n-db-1.6.2-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.